Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Any_var Class Reference

`#include <Any.h>`

Collaboration diagram for CORBA::Any_var:

[legend]
List of all members.

## Public Methods
| Any_var (void)
| Any_var (Any *a)
| Any_var (const Any_var &)
| ~Any_var (void)
Any_var & | operator= (Any *)
Any_var & | operator= (const Any_var &)
Any * | operator-> (void)
| Arrow operator (smart pointer).
| operator const Any * () const
| Cast.
| operator Any *& ()
| Cast.
const Any & | in (void) const
| For in Any parameter.
Any & | inout (void)
| For inout Any parameter.
Any *& | out (void)
| For out Any parameter.
Any * | _retn (void)
| For Any return type.
Any * | ptr (void) const
| TAO specific extension.
## Private Attributes
Any * | ptr_
| Holds the Any.

## Constructor & Destructor Documentation

ACE_INLINE CORBA::Any_var::Any_var | ( | void |  | ) |

ACE_INLINE CORBA::Any_var::Any_var | ( | Any * | a | ) |

CORBA::Any_var::Any_var | ( | const Any_var & |  | ) |

ACE_INLINE CORBA::Any_var::~Any_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA::Any * CORBA::Any_var::_retn | ( | void |  | ) |

| For Any return type.

ACE_INLINE const CORBA::Any & CORBA::Any_var::in | ( | void |  | ) | const

| For in Any parameter.

ACE_INLINE CORBA::Any & CORBA::Any_var::inout | ( | void |  | ) |

| For inout Any parameter.

CORBA::Any_var::operator Any *& | ( |  | ) |

| Cast.

CORBA::Any_var::operator const Any * | ( |  | ) |

| Cast.

ACE_INLINE CORBA::Any * CORBA::Any_var::operator-> | ( | void |  | ) |

| Arrow operator (smart pointer).

CORBA::Any_var & CORBA::Any_var::operator= | ( | const Any_var & |  | ) |

| Assignment from an Any_var This operation requires memory allocation. If the allocation fails, *this is returned unmodified.

CORBA::Any_var & CORBA::Any_var::operator= | ( | Any * |  | ) |

ACE_INLINE CORBA::Any *& CORBA::Any_var::out | ( | void |  | ) |

| For out Any parameter.

ACE_INLINE CORBA::Any * CORBA::Any_var::ptr | ( | void |  | ) | const

| TAO specific extension.

## Member Data Documentation

Any* CORBA::Any_var::ptr_`[private]`

| Holds the Any.

The documentation for this class was generated from the following files:

- Any.h
- Any.cpp
- Any.i